Loading...
Searching...
No Matches
XrdOucRash_Tent< K, V > Class Template Reference

`#include <XrdOucRash.hh>`

Collaboration diagram for XrdOucRash_Tent< K, V >:

## Public Member Functions

| XrdOucRash_Tent ()
| ~XrdOucRash_Tent ()

## Public Attributes

XrdOucRash_Item< K, V > * | Item
XrdOucRash_Tent< K, V > * | Table

## Detailed Description

template<typename K, typename V>
class XrdOucRash_Tent< K, V >

Definition at line 99 of file XrdOucRash.hh.

## Constructor & Destructor Documentation

## XrdOucRash_Tent()

template<typename K, typename V>

XrdOucRash_Tent< K, V >::XrdOucRash_Tent | ( |  | ) |

inline

Definition at line 105 of file XrdOucRash.hh.

{Table = 0; Item = 0;}
XrdOucRash_Tent::Table
XrdOucRash_Tent< K, V > * Table
Definition XrdOucRash.hh:102
XrdOucRash_Tent::Item
XrdOucRash_Item< K, V > * Item
Definition XrdOucRash.hh:103

References Item, and Table.

## ~XrdOucRash_Tent()

template<typename K, typename V>

XrdOucRash_Tent< K, V >::~XrdOucRash_Tent | ( |  | ) |

inline

Definition at line 106 of file XrdOucRash.hh.

{if (Table) delete[] Table;
if (Item) delete(Item);
}

References Item, and Table.

## Member Data Documentation

## Item

template<typename K, typename V>

XrdOucRash_Item<K,V>* XrdOucRash_Tent< K, V >::Item

Definition at line 103 of file XrdOucRash.hh.

Referenced by XrdOucRash_Tent(), ~XrdOucRash_Tent(), XrdOucRash< K, V >::Del(), and XrdOucRash< K, V >::Find().

## Table

template<typename K, typename V>

XrdOucRash_Tent<K,V>* XrdOucRash_Tent< K, V >::Table

Definition at line 102 of file XrdOucRash.hh.

Referenced by XrdOucRash_Tent(), and ~XrdOucRash_Tent().

The documentation for this class was generated from the following file:

- XrdOucRash.hh